Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593519 - yum skip-broken removed clamav*, but then rpm test transaction failed
Summary: yum skip-broken removed clamav*, but then rpm test transaction failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 03:23 UTC by johann
Modified: 2014-01-21 06:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 20:48:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description johann 2010-05-19 03:23:18 UTC
Description of problem:
yum executing extracts:
--> Processing Dependency: clamav = 0.95.3-1.el5.rf for package: clamd
---> Package clamav.x86_64 0:0.96-3.el5.rf set to be updated
---> Package clamav-db.x86_64 0:0.96-3.el5.rf set to be updated

Packages skipped because of dependency problems:
    clamav-data-0.95.2-1.vm.el5.x86_64 from virtualmin
    clamav-filesystem-0.95.2-1.vm.el5.x86_64 from virtualmin
    clamav-lib-0.95.2-1.vm.el5.x86_64 from virtualmin
    clamav-server-0.95.2-1.vm.el5.x86_64 from virtualmin
    clamav-server-sysv-0.95.2-1.vm.el5.x86_64 from virtualmin

Dependencies Resolved

Updating:
 clamav           x86_64     0.96-3.el5.rf     rpmforge          2.1 M
 clamav-db        x86_64     0.96-3.el5.rf     rpmforge           23 M

update error output:
     Running rpm_check_debug
     ERROR with rpm_check_debug vs depsolve:
     clamav is needed by (installed) clamd-0.95.3-1.el5.rf.x86_64
     Complete!
     (1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Version-Release number of selected component (if applicable):
3.2.22-23.el5.centos

How reproducible:
every time

Steps to Reproduce:
1. update all including clamv/d, supra, with '--skip-broken -x samb*'
2.
3.
  
Actual results:
error report

Expected results:
update

Additional info:

Comment 1 James Antill 2010-05-19 03:43:19 UTC
Can you run:

package-cleanup --problems

Comment 2 johann 2010-05-19 03:51:57 UTC
Tue May 18 09:19:18 SYS: ns2.4ssl.us DIR: ~
 User: root #  package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
No problems found

Comment 3 johann 2010-05-19 22:41:17 UTC
i noticed that there was an update for yum and a bunch of associated scripts, so i ran everything in:

Installed:
  yum-NetworkManager-dispatcher.noarch 0:1.1.16-14.el5.centos.1
  yum-aliases.noarch 0:1.1.16-14.el5.centos.1                                
  yum-allowdowngrade.noarch 0:1.1.16-14.el5.centos.1      
  yum-arch.noarch 0:2.2.2-2.el5.kb                
  yum-changelog.noarch 0:1.1.16-14.el5.centos.1           
  yum-cron.noarch 0:0.6-1.el5.centos                
  yum-downloadonly.noarch 0:1.1.16-14.el5.centos.1        
  yum-filter-data.noarch 0:1.1.16-14.el5.centos.1         
  yum-kernel-module.noarch 0:1.1.16-14.el5.centos.1       
  yum-keys.noarch 0:1.1.16-14.el5.centos.1                
  yum-kmod.noarch 0:1.1.16-14.el5.centos.1                
  yum-list-data.noarch 0:1.1.16-14.el5.centos.1           
  yum-merge-conf.noarch 0:1.1.16-14.el5.centos.1          
  yum-metadata-parser-debuginfo.x86_64 0:1.1.2-3.el5.centos
  yum-priorities.noarch 0:1.1.16-14.el5.centos.1          
  yum-protect-packages.noarch 0:1.1.16-14.el5.centos.1    
  yum-protectbase.noarch 0:1.1.16-14.el5.centos.1         
  yum-refresh-updatesd.noarch 0:1.1.16-14.el5.centos.1    
  yum-security.noarch 0:1.1.16-14.el5.centos.1            
  yum-tmprepo.noarch 0:1.1.16-14.el5.centos.1             
  yum-tsflags.noarch 0:1.1.16-14.el5.centos.1             
  yum-updateonboot.noarch 0:1.1.16-14.el5.centos.1        
  yum-updatesd.noarch 1:0.9-2.el5            
  yum-upgrade-helper.noarch 0:1.1.16-14.el5.centos.1      
  yum-verify.noarch 0:1.1.16-14.el5.centos.1              
  yum-versionlock.noarch 0:1.1.16-14.el5.centos.1         
  yumex.noarch 0:2.0.5-3.el5                   
  yumi.noarch 0:2.0.7-2.el5.rf                    

Dependency Installed:
  pygtk2-libglade.x86_64 0:2.10.1-12.el5         

Updated:
  yum.noarch 0:3.2.22-26.el5.centos

although i loaded centos 5.5, i have not re-started yet. just with the yum update and installs, supra, the yum full update works for all 201 files less three w/ dependency problems which i understand.

Comment 4 James Antill 2010-05-20 13:18:35 UTC
So did the yum update fix the problem you were having with clamav vs. clamd? If so feel free to close this BZ.

As far as I know from the changes, there were no weird depsolving bugs fixed there. Saying that it might be a skip-broken bug, so if skip-broken doesn't need to get called anymore (or doesn't need to do as much) it might be happy again.

Also, I doubt you wanted to install all of yum\*. You probably want to have a look at those packages and remove the ones you don't want.

Comment 5 johann 2010-05-20 14:16:05 UTC
from what i can see:
clamd .95 needs clamv .95, but the depsolv says its ok to use .96 so it rolls in .96 for clamv and clamv-db. we can ignore the virtualmin .95 in this case. then, at the end there was no update of clamd from .95 to .96 by yum and rpm_check_debug
 fails because yum is about to replace the clamv and clamv-db .95's w/ the new .96's w/o updating clamd .95 to .96 as well. so, this seems to be a depsolv hole in yum 3.2.22-23.el5.centos. when i updated to -26 the problem had gone away.

seeing things this way, i do not believe skip-broken is, eh, broken. it functioned properly (or, at least, as i expected) in both -23 and -26.

knowing centos versions, i would imagine that -23 -- or even -26 -- are probably old history by now in the yum world, but more than a few people are probably going to be using -23 for quite a while longer.

on the other yum* stuff, i just used the glob to save time and will sort out the chaff later.

thank you for your time and do not hesitate to let me know if i can help further.


Note You need to log in before you can comment on or make changes to this bug.